package com.mdd.admin.validate.album;

import com.mdd.common.validator.annotation.IDMust;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import org.hibernate.validator.constraints.Length;

@ApiModel("附件重命名参数")
public class AlbumRenameValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @IDMust(
      message = "id参数必传且需大于0"
   )
   @ApiModelProperty(
      value = "附件ID",
      required = true
   )
   private Integer id;
   @ApiModelProperty(
      value = "附件名称",
      required = true
   )
   private @NotEmpty(
   message = "名称不能为空"
) @Length(
   min = 1,
   max = 30,
   message = "名称不能大于30个字符"
) String name;

   public Integer getId() {
      return this.id;
   }

   public String getName() {
      return this.name;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setName(String name) {
      this.name = name;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof AlbumRenameValidate)) {
         return false;
      } else {
         AlbumRenameValidate other = (AlbumRenameValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            Object this$name = this.getName();
            Object other$name = other.getName();
            if (this$name == null) {
               if (other$name != null) {
                  return false;
               }
            } else if (!this$name.equals(other$name)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof AlbumRenameValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      return result;
   }

   public String toString() {
      return "AlbumRenameValidate(id=" + this.getId() + ", name=" + this.getName() + ")";
   }
}
